=== debian/changelog ===
libgit2 (0.27.7+dfsg.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix another segfault that was affecting cargo. (Closes: #918854)

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 May 2019 20:05:35 -0700

libgit2 (0.27.7+dfsg.1-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release (Closes: #917176)

 -- Raju Devidas <rajudev@disroot.org>  Wed, 26 Dec 2018 22:59:30 +0530
