=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libgit2-27 (= ${binary:Version}), libz-dev,
+Depends: libgit2-28 (= ${binary:Version}), libz-dev,
          libmbedtls-dev, libssh2-1-dev,
          libhttp-parser-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: low-level Git library (development files)
@@ -26,7 +26,7 @@
  .
  This package contains the development files for libgit2.
 
-Package: libgit2-27
+Package: libgit2-28
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
