## libgit2 0.28.3+dfsg.1

=== debian/changelog ===
libgit2 (0.28.3+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Abhijith Sheheer <abhijithsheheer@gmail.com>  Sat, 23 Nov 2019 10:18:30 +0000

libgit2 (0.28.3+dfsg.1-1) unstable; urgency=medium

  * Reupload to unstable (transition: #934927)
  * Add myself and Russel as Uploaders and Jongmin as Maintainer
    (Closes: #928971)
  * Bump Standards-Version to 4.4.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Nov 2019 11:21:02 +0530

libgit2 (0.28.3+dfsg.1-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream version 0.28.3+dfsg.1

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 Nov 2019 22:07:23 +0530

libgit2 (0.28.1+dfsg.1-0.1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sun, 12 May 2019 20:37:02 +0530
