=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: libgit2
 Section: libs
 Priority: optional
-Maintainer: Russell Sim <russell.sim@gmail.com>
+Maintainer: Jongmin Kim <jmkim@pukyong.ac.kr>
+Uploaders: Russell Sim <russell.sim@gmail.com>,
+ Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 11~),
                python-minimal (>= 2.4.0), pkg-config,
                cmake, libz-dev, libmbedtls-dev,
                libssh2-1-dev, libhttp-parser-dev, libkrb5-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://libgit2.github.com/
 Vcs-Git: https://salsa.debian.org/debian/libgit2.git
 Vcs-Browser: https://salsa.debian.org/debian/libgit2
