## libgit2 0.28.4+dfsg.1

=== examples/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${LIBGIT2_INCLUDES})
INCLUDE_DIRECTORIES(SYSTEM ${LIBGIT2_SYSTEM_INCLUDES})

FILE(GLOB_RECURSE SRC_EXAMPLE_GIT2 network/*.c network/*.h common.?)
ADD_EXECUTABLE(cgit2 ${SRC_EXAMPLE_GIT2})
SET_TARGET_PROPERTIES(cgit2 PROPERTIES C_STANDARD 90)

# Ensure that we do not use deprecated functions internally
ADD_DEFINITIONS(-DGIT_DEPRECATE_HARD)

IF(WIN32 OR ANDROID)
	TARGET_LINK_LIBRARIES(cgit2 git2)
ELSE()
	TARGET_LINK_LIBRARIES(cgit2 git2 pthread)
ENDIF()

FILE(GLOB SRC_EXAMPLE_APPS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c)
FOREACH(src_app ${SRC_EXAMPLE_APPS})
	STRING(REPLACE ".c" "" app_name ${src_app})
	IF(NOT ${app_name} STREQUAL "common")
		ADD_EXECUTABLE(${app_name} ${src_app} "common.c")
		TARGET_LINK_LIBRARIES(${app_name} git2)
		SET_TARGET_PROPERTIES(${app_name} PROPERTIES C_STANDARD 90)
	ENDIF()
ENDFOREACH()
