=== debian/changelog ===
libgit2 (0.28.4+dfsg.1-2ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Improper Verification of Cryptographic Signature
    - debian/patches/CVE-2023-22742.patch: perform host key checking
      by default when using ssh.
    - CVE-2023-22742
  * SECURITY UPDATE: use-after-free
    - debian/patches/CVE-2024-24577.patch: correct index check in
      has_dir_name function used by git_index_add.
    - CVE-2024-24577

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Wed, 28 Feb 2024 08:18:43 +0100

libgit2 (0.28.4+dfsg.1-2) unstable; urgency=medium

  * Re-upload to unstable

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 14 Feb 2020 05:17:15 +0530

libgit2 (0.28.4+dfsg.1-1) experimental; urgency=medium

  * New upstream version 0.28.4+dfsg.1
  * Replace libz-dev with zlib1g-dev
  * Replace python-minimal with python3-minimal (Closes: #936866)
  * Make libgit2 cross buildable (Closes: #913241)
  * Add myself as the maintainer
  * Beautify d/control
  * Bump debhelper-compat to 12
  * Bump Standards-Version to 4.5.0

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 14 Feb 2020 02:43:40 +0530
