## libgit2 0.28.5+dfsg.1

=== debian/changelog ===
libgit2 (0.28.5+dfsg.1-1) unstable; urgency=medium

  * New upstream version 0.28.5+dfsg.1

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Apr 2020 23:03:48 +0530

libgit2 (0.28.4+dfsg.1-4) unstable; urgency=medium

  * Add BD on ca-certificates to fix FTBFS (Closes: #954529)
    (Thanks to Sudip Mukherjee for his help :))

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 23 Mar 2020 19:52:32 +0530

libgit2 (0.28.4+dfsg.1-3) unstable; urgency=medium

  [ Dan Nicholson ]
  * Use mbedTLS with standard CA certificate location (Closes: #927889)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 13 Mar 2020 02:00:49 +0530
