=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libgit2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
+Maintainer: Utkarsh Gupta <utkarsh@debian.org>
 Uploaders: Russell Sim <russell.sim@gmail.com>,
            Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 12),
                python3-minimal:any,
                pkg-config,
+               ca-certificates,
                cmake,
                zlib1g-dev,
                libmbedtls-dev,
