## libgit2 1.0.1

=== deps/ntlmclient/CMakeLists.txt ===
FILE(GLOB SRC_NTLMCLIENT "ntlm.c" "unicode_builtin.c" "util.c")

ADD_DEFINITIONS(-DNTLM_STATIC=1)

DISABLE_WARNINGS(implicit-fallthrough)

IF (HTTPS_BACKEND STREQUAL "SecureTransport")
	ADD_DEFINITIONS(-DCRYPT_COMMONCRYPTO)
	SET(SRC_NTLMCLIENT_CRYPTO "crypt_commoncrypto.c")
	# CC_MD4 has been deprecated in macOS 10.15.
	SET_SOURCE_FILES_PROPERTIES("crypt_commoncrypto.c" COMPILE_FLAGS "-Wno-deprecated")
ELSEIF (HTTPS_BACKEND STREQUAL "OpenSSL")
	ADD_DEFINITIONS(-DCRYPT_OPENSSL)
	INCLUDE_DIRECTORIES(${OPENSSL_INCLUDE_DIR})
	SET(SRC_NTLMCLIENT_CRYPTO "crypt_openssl.c")
ELSEIF (HTTPS_BACKEND STREQUAL "mbedTLS")
	ADD_DEFINITIONS(-DCRYPT_MBEDTLS)
	SET(SRC_NTLMCLIENT_CRYPTO "crypt_mbedtls.c")
ELSE ()
	MESSAGE(FATAL_ERROR "Unable to use libgit2's HTTPS backend (${HTTPS_BACKEND}) for NTLM crypto")
ENDIF()

ADD_LIBRARY(ntlmclient OBJECT ${SRC_NTLMCLIENT} ${SRC_NTLMCLIENT_CRYPTO})
