## libgit2 1.0.1+dfsg.1

=== debian/changelog ===
libgit2 (1.0.1+dfsg.1-3) unstable; urgency=medium

  * Upload to unstable.
    - Transition v1.x. (cf: #971571)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 04 Dec 2020 23:34:22 +0530

libgit2 (1.0.1+dfsg.1-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 1.0.1+dfsg.1.
  * Update symbols file to add git_worktree_prune_init_options@Base.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.
  * Fix day-of-week for changelog entry 0.19.0-2.

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 09 Oct 2020 21:05:33 +0530

libgit2 (1.0.0+dfsg.1-2) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * Add Build-Depends-Package: libgit2-dev to libgit2-1.0.symbols

  [ Ximin Luo ]
  * Add missing libgit2-dev: Depends: libpcre3-dev. (Closes: #961952)

 -- Ximin Luo <infinity0@debian.org>  Fri, 02 Oct 2020 03:30:36 +0100

libgit2 (1.0.0+dfsg.1-1) experimental; urgency=medium

  * New upstream version 1.0.0+dfsg.1
  * Library transition to 1.0.0
  * Drop patch as it is merged upstream

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Apr 2020 02:21:10 +0530

libgit2 (0.99.0+dfsg.1-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 0.99.0+dfsg.1
  * Use pcre2 as REGEX_BACKEND
  * Add patch to fix installation in wrong location
  * Add BD on libpcre2-dev
  * Add -DUSE_NTLMCLIENT and -DUSE_HTTP_PARSER flags to CMake
  * Library transition from 28 to 99
  * Fix package-name-doesnt-match-sonames
  * Fix d/copyright wrt the new release
  * Add Rules-Requires-Root: no

  [ Sudip Mukherjee ]
  * Revert "Use pcre2 as REGEX_BACKEND"
  * Add dependency on ca-certificates and libpcre3-dev
  * Add ci
  * fix symbols file

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 26 Mar 2020 18:25:16 +0530
