## libgit2 1.1.0%2Bdfsg.1

=== debian/watch ===
version=3
opts=compression=xz,repack,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libgit2-$1\.tar\.gz/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg.1 \
  https://github.com/libgit2/libgit2/releases .*/v?([\d.]*)\.tar\.gz
