## libgit2 1.1.0+dfsg.1

=== debian/changelog ===
libgit2 (1.1.0+dfsg.1-4.1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Improper Verification of Cryptographic Signature
    - debian/patches/CVE-2023-22742.patch: perform host key checking
      by default when using ssh.
    - CVE-2023-22742
  * SECURITY UPDATE: use-after-free
    - debian/patches/CVE-2024-24577.patch: correct index check in
      has_dir_name function used by git_index_add.
    - CVE-2024-24577

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Wed, 28 Feb 2024 08:11:53 +0100

libgit2 (1.1.0+dfsg.1-4.1build1) jammy; urgency=medium

  * No-change rebuild against libmbedcrypto7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Feb 2022 23:44:34 +0000

libgit2 (1.1.0+dfsg.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix autopkgtest regression with CMake 3.19+ (Closes: #994494)

 -- Timo Röhling <roehling@debian.org>  Tue, 05 Oct 2021 20:43:28 +0200

libgit2 (1.1.0+dfsg.1-4) unstable; urgency=medium

  * Source-only upload for migration.

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 06 Jan 2021 22:58:58 +0530

libgit2 (1.1.0+dfsg.1-3) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Provide binary package for libgit2 fixtures (Closes: #972574)
  * install as examples

  [ Utkarsh Gupta ]
  * Wrap description wrt line length limitation

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 27 Dec 2020 10:06:10 +0530

libgit2 (1.1.0+dfsg.1-2) unstable; urgency=medium

  * Upload to unstable.
    - Transition v1.x. (cf: #971571)
  * Bump Standards-Version to 4.5.1

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 09 Dec 2020 15:09:10 +0530

libgit2 (1.1.0+dfsg.1-1) experimental; urgency=medium

  * New upstream version 1.1.0+dfsg.1
  * Update branching information in d/gbp.conf
  * Refresh d/patches
  * Drop patch that has been merged upstream
  * Library transition from 1.0 to 1.1
  * Update symbols file
  * Drop Russell Sim from uploaders' field
    - Thank you, Russell Sim, for all your work so far!

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 07 Dec 2020 14:21:42 +0530
