=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libgit2
 Section: libs
 Priority: optional
-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
-Uploaders: Russell Sim <russell.sim@gmail.com>,
-           Pirate Praveen <praveen@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
+Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 12),
                python3-minimal:any,
                pkg-config,
@@ -16,7 +16,7 @@
                libpcre3-dev,
                libkrb5-dev,
                ca-certificates
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://libgit2.github.com/
 Vcs-Git: https://salsa.debian.org/debian/libgit2.git
 Vcs-Browser: https://salsa.debian.org/debian/libgit2
@@ -26,7 +26,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libgit2-1.0 (= ${binary:Version}),
+Depends: libgit2-1.1 (= ${binary:Version}),
          zlib1g-dev,
          libmbedtls-dev,
          libssh2-1-dev,
@@ -41,7 +41,7 @@
  .
  This package contains the development files for libgit2.
 
-Package: libgit2-1.0
+Package: libgit2-1.1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -51,3 +51,17 @@
  libgit2 is a portable, pure C implementation of the Git
  distributed version control system core methods provided as a
  re-entrant link-able library with a solid API.
+
+Package: libgit2-fixtures
+Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: low-level Git library - test suite examples
+ libgit2 is a portable, pure C implementation of the Git
+ distributed version control system core methods provided as a
+ re-entrant link-able library with a solid API.
+ .
+ This package provides the test examples of the library, which
+ can be useful for other pieces of software relying on libgit2,
+ for testing purposes.
