=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 		-DUSE_GSSAPI:BOOL=ON \
 		-DTHREADSAFE:BOOL=ON \
 		-DBUILD_CLAR:BOOL=ON \
+		-DUSE_NTLMCLIENT=OFF \
+		-DENABLE_REPRODUCIBLE_BUILDS=ON \
+		-DUSE_HTTP_PARSER=system \
 		-DLIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH)
 
 	dh_auto_configure --builddirectory=build-debian-devel -- \
@@ -35,6 +38,9 @@
 		-DUSE_GSSAPI:BOOL=ON \
 		-DBUILD_CLAR:BOOL=OFF \
 		-DBUILD_SHARED_LIBS:BOOL=OFF \
+		-DUSE_NTLMCLIENT=OFF \
+		-DENABLE_REPRODUCIBLE_BUILDS=ON \
+		-DUSE_HTTP_PARSER=system \
 		-DLIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH)
 
 
@@ -55,9 +61,6 @@
 	mkdir -p build-debian-devel/tmp
 	dh_auto_test --builddirectory=build-debian-devel
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libgit2-dbg (<< 0.26.0+dfsg.1-1~)'
-
 override_dh_installexamples:
 	dh_installexamples --exclude .gitignore
